Page MenuHomePhabricator

Update UploadWizard for recent API error message changes
Closed, ResolvedPublic

Description

Recently merged https://gerrit.wikimedia.org/r/#/c/321406/ probably breaks like a dozen things in UploadWizard (the announcement https://lists.wikimedia.org/pipermail/mediawiki-api/2016-December/003835.html mentions action=upload in particular). We should go through all of our error handling code and verify what still works right and what needs fixing. Also, we need to do this before next week's deployment. :/

Event Timeline

matmarex created this task.Dec 7 2016, 2:58 PM
Restricted Application added a project: Multimedia. · View Herald TranscriptDec 7 2016, 2:58 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Restricted Application added a subscriber: Matanya. · View Herald TranscriptDec 7 2016, 3:23 PM
MarkTraceur moved this task from Untriaged to Doing on the Multimedia board.Dec 7 2016, 4:05 PM

@matthiasmullie Thanks for taking this. Can I help somehow?

Not at this point, and it doesn't seem like much (if anything) will be broken - BC is quite good. But I'm sure I can use some help in testing of all kinds of possible errors next week :p

Change 326134 had a related patch set uploaded (by Matthias Mullie):
[WIP] Simplify error handling

https://gerrit.wikimedia.org/r/326134

So, just to be clear, we don't actually have any compatibility issues at the moment, and we don't need to do anything before the deployment? This probably doesn't have to be "High" priority then.

It looks like I actually misread the warning in the announcement:

action=upload now reports optional stash failures as an array under key 'stasherrors' rather than a 'stashfailed' text string.

This talks about optional stash failures, which is something we don't use (it's about the case where you try to upload and publish the file with a single action=upload, and you get an error which prevents publishing but allows the file to be stashed; if the stashing also fails, that's called an optional stash failure). We do uploading and publishing in separate action=upload queries.

matthiasmullie lowered the priority of this task from High to Normal.Dec 13 2016, 11:10 AM

Yeah, nothing seems to be broken at this point, BC is good. I'm working on using the new error formats, but it's not too urgent.

Change 328373 had a related patch set uploaded (by Matthias Mullie):
Use parsed error messages straight from API

https://gerrit.wikimedia.org/r/328373

Change 328373 merged by jenkins-bot:
Use parsed error messages straight from API

https://gerrit.wikimedia.org/r/328373

matmarex closed this task as Resolved.Dec 27 2016, 11:08 PM
matmarex removed a project: Patch-For-Review.